Last Comment Bug 686003 - The test for bug 507902 navigates away from the page while it's in progress
: The test for bug 507902 navigates away from the page while it's in progress
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Layout: Images (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: mozilla12
Assigned To: :Ehsan Akhgari
:
Mentors:
Depends on:
Blocks: 507902 668728
  Show dependency treegraph
 
Reported: 2011-09-09 13:50 PDT by :Ehsan Akhgari
Modified: 2011-12-29 03:34 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch (v1) (3.58 KB, patch)
2011-09-09 13:52 PDT, :Ehsan Akhgari
ted: review+
doug.turner: review+
Details | Diff | Splinter Review

Description :Ehsan Akhgari 2011-09-09 13:50:35 PDT
I found this bug when I was working on bug 668728.  The solution here is simple: move the test to an internal iframe, so that the location change doesn't ruin what our test framework expects.
Comment 1 :Ehsan Akhgari 2011-09-09 13:52:24 PDT
Created attachment 559564 [details] [diff] [review]
Patch (v1)
Comment 2 Ted Mielczarek [:ted.mielczarek] 2011-09-23 06:33:35 PDT
Comment on attachment 559564 [details] [diff] [review]
Patch (v1)

Review of attachment 559564 [details] [diff] [review]:
-----------------------------------------------------------------

This looks okay from my perspective, but you really should get the original test author to review it.

::: dom/tests/mochitest/orientation/Makefile.in
@@ +49,1 @@
>  		test_bug507902.html \

Can you fix this to be two-space indentation while you're here?

::: dom/tests/mochitest/orientation/test_bug507902.html
@@ +16,5 @@
>    window.addEventListener("devicemotion", function(){}, false);
>    location = "data:text/html,2";
>  
>    ok(1, "leak will be at the end of mochitests. so pass.");
>    SimpleTest.finish();

If this isn't being used here, please just remove it.
Comment 3 Doug Turner (:dougt) 2011-09-25 13:39:05 PDT
Comment on attachment 559564 [details] [diff] [review]
Patch (v1)

Review of attachment 559564 [details] [diff] [review]:
-----------------------------------------------------------------

::: dom/tests/mochitest/orientation/test_bug507902.html
@@ +3,2 @@
>  <head>
> +  <title>Frame for watchPosition </title>

Might as well change the title of this when you're here.

@@ +16,5 @@
>    window.addEventListener("devicemotion", function(){}, false);
>    location = "data:text/html,2";
>  
>    ok(1, "leak will be at the end of mochitests. so pass.");
>    SimpleTest.finish();

if you don't need, please remove.
Comment 5 Marco Bonardo [::mak] 2011-12-29 03:34:56 PST
https://hg.mozilla.org/mozilla-central/rev/11c676ef0718

Note You need to log in before you can comment on or make changes to this bug.